iPod Touch update niet goed? Help

Ik had in een eerdere vraag al een probleem met de app Buddy Rush ondervonden. Daar gaven ze als antwoord dat voor die game mijn iPod iOS 4.3.3 moest hebben mocht ik die willen spelen.
Nu heb ik op iTunes gekeken, en inderdaad, mijn versie was te laag. Maar als ik hem wil updaten zegt hij dat hij up-to-date is. Wat nu?!?!

Weet jij het antwoord?

/2500

Stel zelf een vraag

Ben je op zoek naar het antwoord die ene vraag die je misschien al tijden achtervolgt?

/100